FIREWALL-OFFLINE-C(1)

NAME
firewall-offline-cmd - firewalld offline command line client

SYNOPSIS

firewall-offline-cmd [OPTIONS...]

DESCRIPTION

firewall-offline-cmd is an offline command line client of the firewalld daemon. It should be used only if the firewalld service is not running. For example to migrate from system-config-firewall/lokkit or in the install environment to configure firewall settings with kickstart.

Some lokkit options can not be automatically converted for firewalld, they will result in an error or warning message. This tool tries to convert as much as possible, but there are limitations for example with custom rules, modules and masquerading.

Check the firewall configuration after using this tool.

OPTIONS

The options for firewall-offline-cmd are nearly identical to the options of lokkit.

The following options are supported:

  Help Options

-h, --help
    Prints a short help text and exists.

  Status Options

--enabled
    Enable the firewall. This option is a default option and will activate the firewall if not already enabled as long as the option --disabled is not given.

--disabled
    Disable the firewall by disabling the firewalld service.

  General Options

--addmodule=module
    This option will result in a warning message and will be ignored.

    Handling of netfilter helpers has been merged into services completely. Adding or removing netfilter helpers outside of services is therefore not needed anymore. For more information on handling netfilter helpers in services, please have a look at firewalld.zone(5).

--removemodule
    This option will result in a warning message and will be ignored.

    Handling of netfilter helpers has been merged into services completely. Adding or removing netfilter helpers outside of services is therefore not needed anymore. For more information on handling netfilter helpers in services, please have a look at firewalld.zone(5).

--remove-service=service
    Remove a service from the default zone. This option can be specified multiple times.

    The service is one of the firewalld provided services. To get a list of the supported services, use firewall-cmd --get-services.

-s service, --service=service
    Add a service to the default zone. This option can be specified multiple times.

    The service is one of the firewalld provided services. To get a list of the supported services, use firewall-cmd --get-services.

-p portid[-portid]:protocol, --port=portid[-portid]:protocol
    Add the port to the default zone. This option can be specified multiple times.

    The port can either be a single port number or a port range portid-portid. The protocol can either be tcp or udp.

-t interface, --trust=interface
    This option will result in a warning message.

    Mark an interface as trusted. This option can be specified multiple times. The interface will be bound to the trusted zone.

    If the interface is used in a NetworkManager managed connection or if there is an ifcfg file for this interface, the zone will be changed to the zone defined in the configuration as soon as it gets activated. To change the zone of a connection use nm-connection-editor and set the zone to trusted, for an ifcfg file, use an editor and add "ZONE=trusted". If the zone is not defined in the ifcfg file, the firewalld default zone will be used.

-m interface, --masq=interface
    This option will result in a warning message.

    Masquerading will be enabled in the default zone. The interface argument will be ignored. This is for IPv4 only.

--custom-rules=[type:][table:]filename
    This option will result in a warning message and will be ignored.

    Custom rule files are not supported by firewalld.

--forward-port=if=interface:port=port:proto=protocol[:toport=destination port:][:toaddr=destination address]
    This option will result in a warning message.

    Add the IPv4 forward port in the default zone. This option can be specified multiple times.

    The port can either be a single port number portid or a port range portid-portid. The protocol can either be tcp or udp. The destination address is an IP address.

--block-icmp=icmptype
    This option will result in a warning message.

    Add an ICMP block for icmptype in the default zone. This option can be specified multiple times.

    The icmptype is the one of the icmp types firewalld supports. To get a listing of supported icmp types: firewall-cmd --get-icmptypes

SEE ALSO
firewall-applet(1), firewalld(1), firewall-cmd(1), firewall-config(1), firewalld.conf(5), firewalld.direct(5), firewalld.icmptype(5), firewalld.lockdown-whitelist(5), firewall-offline-cmd(1), firewalld.richlanguage(5), firewalld.service(5), firewalld.zone(5), firewalld.zones(5)

NOTES

firewalld home page at fedorahosted.org:
    http://fedorahosted.org/firewalld/

More documentation with examples:
    http://fedoraproject.org/wiki/FirewallD

AUTHORS

Thomas Woerner <twoerner@redhat.com>
    Developer

Jiri Popelka <jpopelka@redhat.com>
    Developer